## ezurio-qca-firmware 0.0~git20230404.bad01ca

=== Makefile ===
# This file implements the GNOME Build API:
# http://people.gnome.org/~walters/docs/build-api.txt

FIRMWAREDIR = /lib/firmware

all:

install:
	mkdir -p $(DESTDIR)$(FIRMWAREDIR)
	cp -r * $(DESTDIR)$(FIRMWAREDIR)
	find $(DESTDIR)$(FIRMWAREDIR) \( -name 'WHENCE' -or -name 'LICENSE.*' -or \
		-name 'LICENCE.*' -or -name 'Makefile' -or -name 'Android.mk' \) \
		-exec rm -- {} \;

=== debian/changelog ===
ezurio-qca-firmware (0.0~git20230404.bad01ca-2) unstable; urgency=medium

  * Team upload.
  * Install wifi firmware into qcacld2 subdirectory
    ezurio-qcacld-2.0-dkms is configured to use MODNAME=qcacld2, so it looks
    in this specific subdirectory for firmware. This is also compatible with
    the MNT packaging.
  * Conflict with reform-qcacld2.
    Our firmware files are in the same place as they are in reform-qcacld2.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 12 Sep 2024 15:21:06 +0200

ezurio-qca-firmware (0.0~git20230404.bad01ca-1) unstable; urgency=medium

  * Initial release.

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 06 Jul 2024 01:28:14 +0200

=== debian/control ===
Source: ezurio-qca-firmware
Section: non-free-firmware/kernel
Priority: optional
Maintainer: Johannes Schauer Marin Rodrigues <josch@debian.org>
Vcs-Browser: https://salsa.debian.org/debian/ezurio-qca-firmware
Vcs-Git: https://salsa.debian.org/debian/ezurio-qca-firmware.git
Build-Depends: debhelper-compat (= 13)
Homepage: https://github.com/boundarydevices/qca-firmware
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: ezurio-qca-firmware
Architecture: all
Depends: ${misc:Depends}
Conflicts: reform-qcacld2
Description: Firmware files for Qualcomm QCA9377 BD-SDMAC module
 Firmware files for the QCA9377 as it is found on the Laird Connectivity and
 Boundary Devices (now ezurio) System-On-Module i.MX 8 Nitrogen8M Plus SOM
 (NXP i.MX 8M Plus) together with the Boundary Devices BD-SDMAC board file.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	install -d -m 0755 debian/ezurio-qca-firmware/usr/lib/firmware \
		debian/ezurio-qca-firmware/usr/lib/firmware/wlan \
		debian/ezurio-qca-firmware/usr/lib/firmware/wlan/qcacld2 \
		debian/ezurio-qca-firmware/usr/lib/firmware/qcacld2 \
		debian/ezurio-qca-firmware/usr/lib/firmware/qca
	install -m 0644 *.bin debian/ezurio-qca-firmware/usr/lib/firmware/qcacld2
	install -m 0644 wlan/* debian/ezurio-qca-firmware/usr/lib/firmware/wlan/qcacld2
	install -m 0644 qca/* debian/ezurio-qca-firmware/usr/lib/firmware/qca
